{% extends 'base.html' %}

{% block content %}
<h1 class="heading-1 marg">Prowadzone przedmioty</h1>
{% if course_list %}
<div class="container p-3 bg-grey bor-rad marg">
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Przedmiot</th>
                <th scope="col">Klasa</th>
                <th scope="col">Lekcje</th>
                <th scope="col">Oceny</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            {% for course in course_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{course.subject}}</td>
                <td>{{course.classId}}</td>
                <td><a href="{% url 'register:teacher_lesson_list' course.id %}" class="btn btn-primary">Lekcje</a></td>
                <td><a href="{% url 'register:teacher_course_grades_list' course.id %}" class="btn btn-primary">Oceny</a></td>
                <td><a href="{% url 'register:teacher_lesson_create' course.id %}" class="btn btn-primary">Nowa Lekcja</a></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% else %}
    <div class="alert alert-primary" role="alert">
        <p>Nie ma żadnych przedmiotów, które prowadzisz.</p>
    </div>
{% endif %}

{% endblock content %}